(function ($) {
  Drupal.behaviors.viewsScatteredPolaroids = {
    attach: function(context, settings) {
      $(window).load(function() {
        $.each(settings.scatteredPolaroids.photostack, function(id, photostack) {
          try {
            new Photostack(document.getElementById('photostack-' + photostack.id));
          }
          catch(err) {
            console.log(err);
          }
        });
      });
    }
  };
})(jQuery);
